## clojure1.2 1.2.1+dfsg

=== debian/changelog ===
clojure1.2 (1.2.1+dfsg-5) unstable; urgency=medium

  * Team upload.

  [ Emmanuel Bourg ] 
  * Fixed the test failures with Java 7 (Closes: #717015)
  * debian/control:
    - Build depend on default-jdk instead of openjdk-6-jdk
    - Standards-Version updated to 3.9.5 (no changes)
    - Removed the deprecated DM-Upload-Allowed field
    - Use canonical URLs for the Vcs-* fields
    - Appended the Git branch used to the Vcs-Git field
    - Removed Peter Collingbourne from the uploaders (Closes: #740320)
  * debian/rules:
    - No longer include patchsys-quilt.mk
    - Set the JAVA_HOME path explicitly (Closes: #719399)
  * Switch to debhelper level 9
  * debian/copyright: Updated the Format URI

  [ tony mancill ]
  * Update Vcs-Git URL to specify the branch with -b (policy 5.6.26)

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 02 May 2014 21:50:16 +0200

clojure1.2 (1.2.1+dfsg-4) unstable; urgency=low

  * debian/{control, rules}: Use javahelper to set JAVA_HOME.
    (Closes: #643509)
  * debian/patches/01-replace-asm: Fixed classpath.

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 08 Oct 2011 17:51:21 +0900

clojure1.2 (1.2.1+dfsg-3) unstable; urgency=low

  * debian/patches/01-replace-asm: Updated Class-Path to use absolute
    paths.

 -- Daigo Moriwaki <daigo@debian.org>  Tue, 26 Jul 2011 23:03:28 +0900

clojure1.2 (1.2.1+dfsg-2) unstable; urgency=low

  * Prepare for a future release.
  * debian/control: Fixed a lintian warning,
    description-synopsis-starts-with-article.

 -- Daigo Moriwaki <daigo@debian.org>  Tue, 21 Jun 2011 23:10:38 +0900

clojure1.2 (1.2.1+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Changed the patch system from silk to normal quilt.
    - the repository layout has been changed.
    - removed debian/README.source
  * debian/rule:
    - Clean up temporary files generated by maven-repo
  * Added update-alternative for clojure and clojurec commands:
    - debian/clojure1.2.postinst
    - debian/clojure1.2.prerm
    - debian/control
      They conflict with the 'clojure' package.

 -- Daigo Moriwaki <daigo@debian.org>  Tue, 21 Jun 2011 21:50:06 +0900

clojure1.2 (1.2.0+dfsg-1) unstable; urgency=low

  [ Peter Collingbourne ]
  * debian/copyright, debian/watch: Modified for new download location
  * New upstream release.
  * debian/README.Debian, debian/clojure-repl.1, debian/manpages,
    debian/scripts/clojure-repl: removed clojure-repl as it has been
    deprecated for a while now
  * debian/control, debian/dirs, debian/gencompletions.clj,
    debian/rules, debian/scripts/clojure: add optional support for
    rlwrap (closes: #572432)
  * debian/control: bumped Standards-Version to 3.9.1
  * debian/clojure.poms, debian/control, debian/maven.rules,
    debian/rules, debian/scripts/clojure, debian/scripts/clojurec:
    Introduce versioning support

  [ Daigo Moriwaki ]
  * debian/control:
    - Bumped up Standards-Version to 3.9.2.
    - Added myself in Uploaders.
  * Added debian/source/format.
  * debian/changelog:
    - Use Machine-readable format.
    - Mentioned src/clj/clojure/repl.clj
      (thanks to Luca Falavigna)

 -- Daigo Moriwaki <daigo@debian.org>  Thu, 26 May 2011 21:28:07 +0900

clojure (1.1.0+dfsg-1) unstable; urgency=low

  * debian/rules, debian/watch: Modified the get-orig-source rule and
    watchfile to handle more source layouts
  * New upstream release.
  * debian/clojure.poms, debian/control, debian/dirs,
    debian/maven.rules, debian/patches/01-system-asm.patch,
    debian/rules: Register clojure in the maven repository
  * debian/control: upped Standards-Version to 3.8.4
  * debian/rules: Set the changes.txt file as the upstream changelog
  * debian/copyright: updated to reflect current licensing position
  * debian/copyright: bumped year to 2010
  * debian/clojurec.1, debian/scripts/clojurec: added a -W or -Wreflect
    option to clojurec
  * debian/clojure-repl.1, debian/clojurec.1: escaped all program option
    dashes
  * debian/control: changed Vcs-* references to new location
  * debian/README.source: documented the use of silt

 -- Peter Collingbourne <peter@pcc.me.uk>  Mon, 01 Feb 2010 20:15:24 +0000

clojure (1.0.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/rules, debian/watch: s/.dfsg/+dfsg/; changes required to deal
    with new version numbering scheme and source code layout
  * debian/install, debian/rules: version the clojure.jar file
  * debian/copyright: updated
  * debian/patches/01-system-asm.patch, debian/scripts/clojure,
    debian/scripts/clojurec, debian/scripts/clojure-repl,
    debian/README.Debian: add a Class-Path attribute to clojure.jar to
    automatically bring in asm3 and asm3-commons deps
  * debian/clojure-repl.1, debian/clojure.1, debian/clojurec.1,
    debian/scripts/clojure: clojure script now uses clojure.main.
    Rewrote man page and deprecated clojure-repl which provides the same
    functionality
  * debian/control: s/svn+ssh/svn/ for Vcs-Svn field

 -- Peter Collingbourne <peter@pcc.me.uk>  Thu, 07 May 2009 15:09:44 +0100

clojure (0.0.20090320.dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01-system-asm.patch: updated
  * debian/patches/02-better-bytecode.patch: removed; applied upstream
  * debian/control: upped Standards-Version to 3.8.1
  * debian/source.lintian-overrides: override .dfsg lintian info due to
    date-based version number

 -- Peter Collingbourne <peter@pcc.me.uk>  Sat, 21 Mar 2009 12:02:43 +0000

clojure (0.0.20081217.dfsg-1) unstable; urgency=low

  * Initial release (closes: #454566)

 -- Peter Collingbourne <peter@pcc.me.uk>  Fri, 02 Jan 2009 18:50:41 +0000
